#-------------------- Base cotizacion ---------------------
CREATE TABLE IF NOT EXISTS basecotiza ( BC0 INT(2) NOT NULL, BC1 CHAR(100) NOT NULL,
BC2 DOUBLE(10,2) NOT NULL DEFAULT 0.00, BC3 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
BC4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, BC5 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
BC6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, PRIMARY KEY kbc (BC0), UNIQUE (BC0), INDEX kbc (BC0));
#-------------------- Base cotizacion 1 --------------------
CREATE TABLE IF NOT EXISTS basecotiza1 ( BCC0 INT(1) NOT NULL DEFAULT 1,
BCC1 DOUBLE(10,2) NOT NULL DEFAULT 0.00, BCC2 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
BCC3 DOUBLE(10,2) NOT NULL DEFAULT 0.00, BCC4 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
BCC5 DOUBLE(10,2) NOT NULL DEFAULT 0.00, BCC6 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
BCC7 DOUBLE(10,2) NOT NULL DEFAULT 0.00, BCC8 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kbcc (BCC0), UNIQUE (BCC0), INDEX kbcc (BCC0));
#-------------------- Categorias --------------------
CREATE TABLE IF NOT EXISTS categorias ( CCV0 INT(6) NOT NULL, CCV1 INT(6) NOT NULL,
CCV2 CHAR(100) NOT NULL, CCV3 DOUBLE(10,2) NOT NULL DEFAULT 0.00, CCV4 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
CCV5 DOUBLE(10,2) NOT NULL DEFAULT 0.00, CCV6 INTEGER(2) NOT NULL DEFAULT 1,
PRIMARY KEY kccv (CCV0,CCV1), UNIQUE (CCV0,CCV1), INDEX kccv (CCV0,CCV1));
#-------------------- Contratos --------------------
CREATE TABLE IF NOT EXISTS contratos ( CON0 INT(5) NOT NULL, CON1 CHAR(100) NOT NULL,
PRIMARY KEY kcon (CON0), UNIQUE (CON0), INDEX kcon (CON0));
#-------------------- Convenios --------------------
CREATE TABLE IF NOT EXISTS convenios ( CV0 INT(6) NOT NULL, CV1 CHAR(100) NOT NULL, CV2 DATE NOT NULL,
CV3 DATE NOT NULL, CV4 DATE NOT NULL, CV5 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
CV6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, CV7 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
CV8 DOUBLE(10,2) NOT NULL DEFAULT 0.00, CV9 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
CV10 INTEGER(2) NOT NULL DEFAULT 0, PRIMARY KEY kcv (CV0), UNIQUE (CV0), INDEX kcv (CV0));
#-------------------- Deducciones --------------------
CREATE TABLE IF NOT EXISTS deducciones ( DE0 CHAR(9) NOT NULL, DE1 INT(1) NOT NULL, DE2 INT(2) NOT NULL,
DE3 CHAR(40), DE4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, DE5 DOUBLE(5,2) NOT NULL DEFAULT 0.00,
DE6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, PRIMARY KEY kpd (DE0,DE1,DE2),
UNIQUE (DE0,DE1,DE2), INDEX kpd (DE0,DE1,DE2));
#-------------------- Epigrafes --------------------
CREATE TABLE IF NOT EXISTS epigrafes ( EP0 INT(5) NOT NULL, EP1 BLOB NOT NULL,
EP2 DOUBLE(2,2) NOT NULL DEFAULT 0.00, EP3 DOUBLE(2,2) NOT NULL DEFAULT 0.00,
EP4 DOUBLE(2,2) NOT NULL DEFAULT 0.00, PRIMARY KEY kep (EP0), UNIQUE (EP0), INDEX kep (EP0));
#-------------------- Imprenominas --------------------
CREATE TABLE IF NOT EXISTS imprenominas ( IM0 INT(5) NOT NULL, IM1 CHAR(100),
IM2 DOUBLE(10,2) NOT NULL DEFAULT 0.00, IM3 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
IM4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, IM5 CHAR(100), IM6 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
IM7 DOUBLE(10,2) NOT NULL DEFAULT 0.00, IM8 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kim (IM0), UNIQUE (IM0), INDEX kim (IM0));
#-------------------- Nominascc --------------------
CREATE TABLE IF NOT EXISTS nominascc ( NO0 INT(6) NOT NULL, NO1 CHAR(9) NOT NULL, NO2 DATE NOT NULL,
NO3 CHAR(1) NOT NULL, NO4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NO5 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
NO6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NO7 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
NO8 DOUBLE(5,2) NOT NULL DEFAULT 0.00, NO9 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
NO10 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NO11 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
NO12 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NO13 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
NO14 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NO15 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kno (NO0,NO1,NO2,NO3), UNIQUE (NO0,NO1,NO2,NO3), INDEX kno (NO0,NO1,NO2,NO3));
#-------------------- Nominasdd --------------------
CREATE TABLE IF NOT EXISTS nominasdd ( NOD0 INT(6) NOT NULL, NOD1 CHAR(9) NOT NULL,
NOD2 DATE NOT NULL, NOD3 CHAR(1) NOT NULL, NOD4 INT(5) NOT NULL, NOD5 CHAR(100),
NOD6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NOD7 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
NOD8 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NOD9 CHAR(100), NOD10 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
NOD11 DOUBLE(10,2) NOT NULL DEFAULT 0.00, NOD12 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY knod (NOD0,NOD1,NOD2,NOD3,NOD4), UNIQUE (NOD0,NOD1,NOD2,NOD3,NOD4),
INDEX knod (NOD0,NOD1,NOD2,NOD3,NOD4));
#-------------------- Percepciones --------------------
CREATE TABLE IF NOT EXISTS percepciones ( PE0 CHAR(9) NOT NULL, PE1 INT(1) NOT NULL, PE2 INT(2) NOT NULL,
PE3 CHAR(40), PE4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, PRIMARY KEY kpe (PE0,PE1,PE2),
UNIQUE (PE0,PE1,PE2), INDEX kpe (PE0,PE1,PE2));
#-------------------- Tipos Cotizacion --------------------
CREATE TABLE IF NOT EXISTS tiposcotiza ( TZ0 INT(2) NOT NULL, TZ1 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ2 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ3 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ5 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ7 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ8 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ9 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ10 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ11 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ12 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ13 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ14 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ15 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ16 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TZ17 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TZ18 DOUBLE(10,2) NOT NULL DEFAULT 0.00, PRIMARY KEY ktz (TZ0), UNIQUE (TZ0), INDEX ktz (TZ0));
#-------------------- Trabajadores ---------------------
CREATE TABLE IF NOT EXISTS trabajadores ( TR0 CHAR(9) NOT NULL, TR1 CHAR(30) NOT NULL,
TR2 CHAR(30) NOT NULL, TR3 CHAR(30) NOT NULL, TR4 CHAR(60), TR5 CHAR(50), TR6 CHAR(50),
TR7 CHAR(6), TR8 CHAR(50), TR9 CHAR(50), TR10 CHAR(15) NOT NULL, TR11 DATE NOT NULL,
TR12 CHAR(15), TR13 CHAR(15), TR14 CHAR(15), TR15 CHAR(50), TR16 CHAR(50), TR17 CHAR(100),
TR18 CHAR(100), TR19 INT(2) DEFAULT 0, TR20 CHAR(6), TR21 CHAR(15), TR22 CHAR(1) DEFAULT 'N',
TR23 DOUBLE(5,2) DEFAULT 0, TR24 INT(6) DEFAULT 0, TR25 INT(6) DEFAULT 0, TR26 INT(6) DEFAULT 0,
TR27 INT(6) DEFAULT 0, TR28 INT(6) DEFAULT 0, TR29 DATE, TR30 DATE, TR31 DATE, TR32 DOUBLE(5,2) DEFAULT 0,
TR33 INT(1) DEFAULT 1, TR34 DOUBLE(10,2) DEFAULT 0, TR35 DOUBLE(5,2) DEFAULT 0, TR36 CHAR(50), TR37 CHAR(20),
TR38 CHAR(50), TR39 CHAR(50), TR40 CHAR(50), TR41 CHAR(50), TR42 DOUBLE(5,2) DEFAULT 0,
PRIMARY KEY ktr (TR0), UNIQUE (TR0), INDEX ktr (TR0));
#-------------------- Tratonominas ---------------------
CREATE TABLE IF NOT EXISTS tratonominas ( TRTO0 CHAR(9) NOT NULL, TRTO1 CHAR(50), TRTO2 CHAR(1),
TRTO3 CHAR(60), TRTO4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, TRTO5 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TRTO6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, PRIMARY KEY ktrto (TRTO0), UNIQUE (TRTO0), INDEX ktrto (TRTO0));
#-------------------- TC2 ---------------------
CREATE TABLE IF NOT EXISTS tc2 ( TC20 INT(6) NOT NULL, TC21 CHAR(50), TC22 CHAR(2), TC23 CHAR(15), TC24 CHAR(12),
TC25 CHAR(5), TC26 CHAR(12), TC27 CHAR(2), TC28 DOUBLE(10,2), TC29 CHAR(3), TC210 CHAR(5), TC211 CHAR(8), TC212 CHAR(2),
TC213 DOUBLE(10,2), TC214 CHAR(10), PRIMARY KEY ktc2 (TC20), UNIQUE (TC20), INDEX ktc2 (TC20));
